OGRE: Ogre::D3D9Resource Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::D3D9Resource Class Reference

Represents a Direct3D rendering resource. More...

`#include <OgreD3D9Resource.h>`

Inheritance diagram for Ogre::D3D9Resource:
[legend]

## Public Member Functions
| D3D9Resource ()
virtual | ~D3D9Resource ()
virtual void | notifyOnDeviceCreate (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceDestroy (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceLost (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceReset (IDirect3DDevice9 *d3d9Device)

## Static Public Member Functions
static void | lockDeviceAccess ()
static void | unlockDeviceAccess ()

## Detailed Description

Represents a Direct3D rendering resource.

Provide unified interface to handle various device states.

## Constructor & Destructor Documentation

## ◆ D3D9Resource()

Ogre::D3D9Resource::D3D9Resource | ( |  | ) |

## ◆ ~D3D9Resource()

virtual Ogre::D3D9Resource::~D3D9Resource | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ lockDeviceAccess()

static void Ogre::D3D9Resource::lockDeviceAccess | ( |  | ) |
| static

## ◆ notifyOnDeviceCreate()

virtual void Ogre::D3D9Resource::notifyOnDeviceCreate | ( | IDirect3DDevice9 * | d3d9Device | ) |
| inlinevirtual

Reimplemented in Ogre::D3D9VertexDeclaration, Ogre::D3D9Texture, Ogre::D3D9HardwareVertexBuffer, Ogre::D3D9HardwareOcclusionQuery, Ogre::D3D9HardwareIndexBuffer, Ogre::D3D9GpuFragmentProgram, and Ogre::D3D9GpuVertexProgram.

## ◆ notifyOnDeviceDestroy()

virtual void Ogre::D3D9Resource::notifyOnDeviceDestroy | ( | IDirect3DDevice9 * | d3d9Device | ) |
| inlinevirtual

Reimplemented in Ogre::D3D9VertexDeclaration, Ogre::D3D9Texture, Ogre::D3D9HardwareVertexBuffer, Ogre::D3D9HardwareOcclusionQuery, Ogre::D3D9HardwareIndexBuffer, Ogre::D3D9GpuFragmentProgram, and Ogre::D3D9GpuVertexProgram.

## ◆ notifyOnDeviceLost()

virtual void Ogre::D3D9Resource::notifyOnDeviceLost | ( | IDirect3DDevice9 * | d3d9Device | ) |
| inlinevirtual

Reimplemented in Ogre::D3D9Texture, Ogre::D3D9HardwareVertexBuffer, Ogre::D3D9HardwareOcclusionQuery, and Ogre::D3D9HardwareIndexBuffer.

## ◆ notifyOnDeviceReset()

virtual void Ogre::D3D9Resource::notifyOnDeviceReset | ( | IDirect3DDevice9 * | d3d9Device | ) |
| inlinevirtual

Reimplemented in Ogre::D3D9Texture, Ogre::D3D9HardwareVertexBuffer, Ogre::D3D9HardwareOcclusionQuery, and Ogre::D3D9HardwareIndexBuffer.

## ◆ unlockDeviceAccess()

static void Ogre::D3D9Resource::unlockDeviceAccess | ( |  | ) |
| static

The documentation for this class was generated from the following file:

- OgreD3D9Resource.h